@set MVERS=01
@set TEMPA=tar
@set TEMPD=D:
@echo Update Release %TEMPA% to MDOS ... version %MVERS% ...
nmake /nologo /f update.mak
@set TEMP1=%TEMPA%-%MVERS%.zip
@set TEMPE=%TEMPA%e%MVERS%.zip
@set TEMPW=%TEMPA%w%MVERS%.zip
@set TEMPX=%TEMP%\TEMPEXCL.TXT
@if EXIST %TEMPX% goto GotEx
Call QSEX %TEMPX%
@if NOT EXIST %TEMPX% goto Err2
:GotEx
@set TEMP2=-a -o -x@%TEMPX%
@if NOT EXIST %TEMP1% goto DoIt
@set TEMP2=-i -o -x@%TEMPX%
:DoIt
cd ..
call Zip8 %TEMP2% %1 %2 %3 %4 -p -r -xpo\* -xm4\* -x*.m4 -xtests\* -x*.at -x*.po -x*.gmo -x*.zip -x*.exe -x*.lib -x*.exp Win32\%TEMP1% *.*
call Zip8 %TEMP2% %1 %2 %3 %4 -P -r -x*.zip -x*.exe -x*.lib -x*.exp Win32\%TEMPW% Win32\*.*
cd Win32
@if NOT EXIST %TEMP1% goto Err1
@if NOT EXIST %TEMPD%\SAVES\. goto NoSAVE
@if NOT EXIST %TEMPD%\SAVES\nul goto NoSAVE
Copy %TEMP1% %TEMPD%\SAVES\.
@if NOT EXIST %TEMPE% goto NoSAVE2
Copy %TEMPE% D:\SAVES\.
dir %TEMP1%
@goto DNSAVE
:NOSAVE
@echo WARNING: Folder %TEMPD%\SAVES\nul not found. NO SAVE DONE ..
:DNSAVE
@echo Done local update ...
@if "%COMPUTERNAME%." == "PRO-2." goto DOPRO2
call savetod2 %TEMP1%
call savetod2 %TEMPE%
call savetod2 %TEMPW%
@goto DNNETS
:DOPRO2
call savetop %TEMP1%
call savetop %TEMPE%
:DNNETS
@echo DOne NET saves ...
@goto End

:NOSAVE2
@echo WARNING: File %TEMPE% not found. NO SAVE DONE ..
@goto END

:Err1
@echo	Must zip it first ... zip FAILED ...
@goto End

:Err2
@echo   ERROR: Unable to create file [%TEMPX%] !!!
@goto End

:End
